#!/bin/sh
# Overflow YTD, MTD, Level - will trip KPI.
TIMESTAMP=`date +"%Y-%m-%dT%T"`'.000'`date +"%:z"`
RAIN_AMOUNT=70
LEVEL=3
SIMULATOR_DIR=/opt/IBM/iss/iow/apps/simulator
DEMOSCRIPTS_DIR=$SIMULATOR_DIR/demoscripts

db2 connect to WIHDB user db2inst1 
db2 -tf $DEMOSCRIPTS_DIR/CSOOverflowVolYTD.sql  | sed 's/[ \t]*$//'| sed '1,3d' | head -n -4 | sed "s/$/,$RAIN_AMOUNT,$TIMESTAMP/" > /tmp/ytd.csv
cp /tmp/ytd.csv $SIMULATOR_DIR/incoming/

db2 -tf $DEMOSCRIPTS_DIR/CSOOverflowVolMTD.sql  | sed 's/[ \t]*$//'| sed '1,3d' | head -n -4 | sed "s/$/,$RAIN_AMOUNT,$TIMESTAMP/" > /tmp/mtd.csv
cp /tmp/mtd.csv $SIMULATOR_DIR/incoming/

db2 -tf $DEMOSCRIPTS_DIR/CSOOverflowVolLevelIndicator.sql  | sed 's/[ \t]*$//'| sed '1,3d' | head -n -4 | sed "s/$/,$LEVEL,$TIMESTAMP/" > /tmp/level.csv
cp /tmp/level.csv $SIMULATOR_DIR/incoming/

db2 connect reset

