#!/bin/sh
# Find all the rain gauges and put 9 inches of rain there for today.
TIMESTAMP=`date +"%Y-%m-%dT%T"`'.000'`date +"%:z"`
RAIN_AMOUNT=0
SIMULATOR_DIR=/opt/IBM/iss/iow/apps/simulator
DEMOSCRIPTS_DIR=$SIMULATOR_DIR/demoscripts

db2 connect to WIHDB user db2inst1 
db2 -tf $DEMOSCRIPTS_DIR/raingauges.sql  | sed 's/[ \t]*$//'| sed '1,3d' | head -n -4 | sed "s/$/,$RAIN_AMOUNT,$TIMESTAMP/" > /tmp/today.csv
cp /tmp/today.csv $SIMULATOR_DIR/incoming/

db2 connect reset

